# Uses of Class
org.apache.sysds.runtime.io.InputOutputInfo

Packages that use InputOutputInfo
Package
Description
org.apache.sysds.runtime.io

## Uses of InputOutputInfo in org.apache.sysds.runtime.io

Fields in org.apache.sysds.runtime.io declared as InputOutputInfo
Modifier and Type
Field
Description
`static final InputOutputInfo`
InputOutputInfo.`BinaryBlockFrameInputOutputInfo`
`static final InputOutputInfo`
InputOutputInfo.`BinaryBlockInputOutputInfo`
`static final InputOutputInfo`
InputOutputInfo.`BinaryBlockTensorInputOutputInfo`
`static final InputOutputInfo`
InputOutputInfo.`CompressedInputOutputInfo`
`static final InputOutputInfo`
InputOutputInfo.`CSVInputOutputInfo`
`static final InputOutputInfo`
InputOutputInfo.`HDF5InputOutputInfo`
`static final InputOutputInfo`
InputOutputInfo.`LIBSVMInputOutputInfo`
`static final InputOutputInfo`
InputOutputInfo.`MatrixMarketInputOutputInfo`
`static final InputOutputInfo`
InputOutputInfo.`TextCellInputOutputInfo`
Methods in org.apache.sysds.runtime.io that return InputOutputInfo
Modifier and Type
Method
Description
`static InputOutputInfo`
InputOutputInfo.`get(Types.DataType dt, Types.FileFormat fmt)`